<?php
/*
 * Author: Etienne Gauthier (etienne_sf@sourceforge.net)
 * 
 * This page manages the upload http request. Its aim is to:
 * - Add the uploaded files into the database
 * - Calculate the thumb and normal picture.
 * - return a status to the applet, by writting one simple line. This return is:
 *     SUCCESS               (if everything is Ok)
 *     ERROR: Error message  (if some problem occurs)
 */

$return = "Unknow return status";

require('plugins/jupload/include/j_picmgmt.inc.php');


//Let's read the _FILES array.
handle_uploaded_files('userpicture');

//The uploaded picture should come one by one.
if (count($escrow_array) == 0) {
	echo ("ERROR: no file uploaded");
} else if (count($escrow_array) > 1) {
	echo ("ERROR: too many files uploaded (" . count($escrow_array) . ")");
} else {
	//Ok, one file has been uploaded.
	$file_placement = add_physical_file($album, $escrow_array[0]['actual_name'], $escrow_array[0]['temporary_name']);

    // Create the final message.
    if ($PIC_NEED_APPROVAL) {
        if ($file_placement == 'no') {
            $return = 'ERROR: ' . $lang_upload_php['no_place'];
        } else {
            $final_message = 'SUCCESS';
        }
    } else {
        if ($file_placement == 'no') {
            $final_message = 'ERROR: '.$lang_upload_php['no_place'];
        } else {
            $final_message = 'NEED APPROVAL';
        }
    }
	
	//Send a mail, if needed.
	after_upload();

	echo("SUCCESS");
}
	